
       SUBROUTINE T R D S I M
************************************************************************
* written by  Vik Egorytchev, 07/09/96  20.47.24
*
* This routine simulates TR within radiator and straw tube
*
* called from TRADE
************************************************************************
      IMPLICIT NONE 
#include "gean/gckine.fi"
#include "gean/gcking.fi"
#include "gean/gctrak.fi"
#include "gean/gcvolu.fi"

      INTEGER NTR,I,N,IUCOMP
      REAL ETR(1000),STR(1000),VECTS(7),GAMMA,COR,ELOSS
      CHARACTER*4 NADE, NALIS(13)
*      DATA COR/0.48/                            !... for Polypr Foam
      DATA COR/0.68/                             !... for Polypr Fibre
      DATA NALIS /'TRB1', 'TRB2', 'TRB3', 'TRB4', 'TRB5', 'TRB6',
     +            'TRB7', 'TRB8', 'TRB9', 'TRB0', 'TRBA', 'TRBB',
     +            'TRTU'/
C...
        IF(ABS(CHARGE).NE.1) GO TO 999
        GAMMA = GETOT/AMASS
        IF(GAMMA.LE.100..OR.STEP.LE.0.) GO TO 999
        CALL UHTOC(NAMES(NLEVEL),4,NADE,4)
        I = IUCOMP(NADE,NALIS,13)
        IF(I.EQ.0) GO TO 999
C...
        NTR = 0
C... TR-generation within radiator
        IF(I.LE.12) CALL TRDGEN  (GAMMA,COR,STEP,NTR,ETR,STR)
C... TR-generation within straw
        IF(I.GT.12.AND.INWVOL.EQ.1)
     +              CALL TRIGEN (GAMMA,STEP,NTR,ETR,STR)
C...
        IF(NTR.EQ.0) GO TO 999

        CALL UCOPY(VECT,VECTS,7)
        ELOSS          = 0

        DO 1 N         = 1,NTR
        NGKINE         = NGKINE+1
        GKIN(1,NGKINE) = ETR(N)*VECTS(4)
        GKIN(2,NGKINE) = ETR(N)*VECTS(5)
        GKIN(3,NGKINE) = ETR(N)*VECTS(6)
        GKIN(4,NGKINE) = ETR(N)
        GKIN(5,NGKINE) = 48.
        GPOS(1,NGKINE) = VECTS(1)-STR(N)*VECTS(4)
        GPOS(2,NGKINE) = VECTS(2)-STR(N)*VECTS(5)
        GPOS(3,NGKINE) = VECTS(3)-STR(N)*VECTS(6)
        VECT(1)        = VECTS(1)-STR(N)*VECTS(4)
        VECT(2)        = VECTS(2)-STR(N)*VECTS(5)
        VECT(3)        = VECTS(3)-STR(N)*VECTS(6)
        TOFD (NGKINE)  = 0.
        IFLGK(NGKINE)  = 0
        ELOSS          = ELOSS+ETR(N)
        CALL GSKING(NGKINE)
        NGKINE         = NGKINE-1
1       CONTINUE
C... Energy primary particle correction
        CALL UCOPY(VECTS,VECT,7)
        GETOT          = GETOT-ELOSS
        GEKIN          = GEKIN-ELOSS
        VECT(7)        = SQRT(GEKIN*(GEKIN+2.*AMASS))
        CALL GEKBIN
C...
 999    RETURN
        E N D









