*CMZ :  1.00/00 08/12/94  08.30.19  by  Dominik Ressing
*CMZ :  0.01/03 17/09/94  15.20.50  by  Fedor Ratnikov
*-- Author :    Fedor Ratnikov   16/09/94
************************************************************************
*
* L1MCUAC
* written by Fedor Ratnikov, 16/09/94 19.28.03
*
* This routines action:
* Is called if eventshould be accepted by FLT
*
*
* Arguments  kind         description
*          (in,update,out)
*-----------------------------------------------------------------------
* iBX         in           event BX
* itrig       in           trigger type No
* MePo1,MePo2 in           pointers to pair messages
* amass       in           invariant mass of pair
* bmass       in           invariant mass of pair including Brem. correction
*
************************************************************************
c
      SUBROUTINE L1MCUAC(iBX,itrig,MePo1,MePo2,amass,bmass)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
c
      INTEGER iBX,itrig,MePo1,MePo2
      REAL    amass,bmass
c
      IF (L1PARprnlev.GE.1)		THEN
        WRITE(L1LUNprn,
     &      '(''L1MCUAC==>  iBX/itrig/amass:'',2I5,2f10.2)')
     &        iBX,itrig,amass,bmass
      ENDIF
      CALL L1USRAC(iBX,itrig,MePo1,MePo2,amass,bmass)
c
      RETURN
c
      END
