*-- Author :    Hartwig Albrecht   16/02/95

      SUBROUTINE LITITL (CTPL)

************************************************************************
*
* Description: print program title
*
* Called from: initialization routines
*
* External references: MESELP, LIHEAD , VIZPRI 
*
* Argument in/out description
*   CTPL   in     printer destination 'tpl'
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"

      CHARACTER C*78, CSTAR*78, C1(78)*1, CTPL*(*)
      EQUIVALENCE (C1(1),CSTAR)

      INTEGER       LENOCC, I
      EXTERNAL      LENOCC 

      DATA C1 /'*',77*'-'/

#include "arte/Arte.ff"

      CALL UTPOPT( CTPL ) 

      IF( LENOCC(HBVERS) .GE. 1 )THEN
      DO  I = 1, 3
       IF (LIOTPL(I) .GT. 0)CALL VIZPRI(LIOTPL(I),
     & HBVERS(1:MIN(4,LENOCC(HBVERS))))
       IF( LENOCC( HBVERS ) .GE. 6 )THEN  
        IF (LIOTPL(I) .GT. 0)CALL VIZPRI(LIOTPL(I),HBVERS(6:10))
       ENDIF 
       IF( LENOCC( HBVERS ) .GE. 12 )THEN  
        IF (LIOTPL(I) .GT. 0)CALL VIZPRI(LIOTPL(I),HBVERS(12:17))
       ENDIF 
       IF( LENOCC( HBVERS ) .GE. 19 )THEN  
        IF (LIOTPL(I) .GT. 0)CALL VIZPRI(LIOTPL(I),
     & HBVERS(19:LEN(HBVERS)))
       ENDIF 
      ENDDO 
      ENDIF 

      CALL MESELP (CSTAR, CTPL)
      CALL MESELP ('*', CTPL)
      C = 'HERA-B Event Analysis and Reconstruction Tool ARTE'
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C = 'ARTE version:'
      WRITE (C(15:22), 1001)  ARTEVERS
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C = 'LUND version:'
      WRITE (C(15:22), 1001)  LUNDVERS
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C = 'HBGEANT version:'
      WRITE (C(16:23), 1001)  GEANVERS
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C = 'RECO version:'
      WRITE (C(15:22), 1001)  RECOVERS
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      CALL LIHLIN (CTPL)

      C='  ' 
      CALL CHAPBC (C, 'Source:')
      CALL CHAPBC (C, SRCNAME)
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C = 'Bintype:'
      CALL CHAPBC (C, BINTYPE)
      CALL CHAPBC (C, 'Host:')
      CALL CHAPBC (C, HOSTNAME)
      CALL CHAPBC (C, 'at')
      CALL CHAPBC (C, INSTNAME)
      CALL CHAPBI (C, INSTNUM)
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)
 
      C='HBdir='
      CALL CHAPPC (c, HBDIR) 
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C='User='
      CALL CHAPPC (C, USERNAME) 
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)

      C = 'Zebra working space:'
      CALL CHAPBI (C, 4 * NZEBRA)
      CALL CHAPBC (C, '+')
      CALL CHAPBI (C, 4 * NARPAW)
      CALL CHAPBC (C, 'bytes')
      CALL CHCENT (C)
      CALL MESELP ('*' // C, CTPL)
    
      CALL MESELP ('*', CTPL)
      CALL MESELP (CSTAR, CTPL)

 
 1001 FORMAT (F8.4)

      END

************************************************************************
* End of LITITL
************************************************************************
