*-- Author :    Rainer Mankel   22/05/96

      subroutine prchain()

*     **** print decay chain of MC particle
*     **** called by KUIP
      implicit none
#include "arte/Arte.fi"

      integer mc,ii,jj,indx_dau
#include "auto/MTRA.fi"
#include "arte/Arte.ff"
#include "auto/MTRA.ff"

      call kugeti(mc)

      if (jmtra.le.0) then
         call mewarn('prchain: table MTRA is not booked')
         go to 999
      endif


      if (mc.lt.1.or.mc.gt.nmtra()) then
         print *,' () prchain: invalid mc=', mc
         go to 999
      endif

      call mmbwrk(jtemp,0,1,20) ! book working table

      call mmbook(jtemp,1)
      iq(l_l(1,jtemp)) = mc     ! fill mother
      print *,' mother=', mc

      do ii=1,999               ! loop over rows in jtemp
         if (ii.gt.iq(jtemp+2)) go to 11

         do jj=1,99             ! locate daughters of row ii
            if (jj.eq.1) then
               indx_dau = pmtra_etra(i_v(1,ii,jtemp))
            else
               indx_dau = xmtra_etra(indx_dau)
            endif
            if (indx_dau.eq.0) go to 21
            call mmbook(jtemp,1)
            iq(l_l(1,jtemp)) = mmtra_etra(indx_dau)
            print *,' daughter ', mmtra_etra(indx_dau)
         enddo
         print *,' () prchain: inner loop exceeded!'
 21      continue
      enddo
      print *,' () prchain: outer loop exceeded!'
 11   continue

 999  end
