*CMZ :  4.05/01 01/05/96  17.56.41  by  Hartwig Albrecht
*CMZ :  4.04/01 26/03/96  14.56.35  by  Rainer Mankel
*-- Author :    Rainer Mankel   07/03/96

      subroutine prtopp()

*     **** called by KUIP
*     **** print mimp bank. Arguments are:

*     **** mimp1, mimp2     Range of rows in Mimp table
*     **** mc               MC track number in mtra table
*     **** hit              Hit number in hitb table
*     **** pl               Plane number in gede table
*     **** sl               Superlayer number in gesl table

      implicit none
#include "arte/Arte.fi"

      integer id1, id2, topp, ii
      character*40 cname

#include "auto/TOPP.fi"

#include "arte/Arte.ff"
#include "auto/TOPP.ff"

*     **** parameters
      call kugeti(id1)
      call kugeti(id2)

*     **** fixup
      if (jtopp.le.0) then
         call mewarn('prtopp: table TOPP is not booked')
         go to 999
      endif

      if (id2.eq.0.and.id1.ne.0) id2 = id1
      id1 = max(id1,1)
      if (id2.eq.0) then
       id2 = ntopp()
      else
       id2 = min(id2,ntopp())
      endif
      print *,' prtopp: total number of entries=', ntopp(),
     +     ' # words=', ntopp_name

*     **** print headline
      print '(a5,1x,a20,2a10,a6,3a6)',
     +  'topp', 'name','mass','wid','chrg','lund','gean','anti'

*     **** loop over range of mimps
      do 20 topp=id1,id2
         write(cname,'(100a4)') (htopp_name(ii,topp),ii=1,ntopp_name)
         print '(i5,1x,a20,2f10.3,i6,3i6)',
     +        topp, cname, ftopp_mass(topp), ftopp_wid(topp),
     +        itopp_chrg(topp), itopp_lund(topp), itopp_gean(topp)
 20   continue

 999  end


