*CMZ :  4.04/01 26/03/96  14.28.09  by  Rainer Mankel
*CMZ :  4.03/00 13/07/95  16.38.57  by  Rainer Mankel
*CMZ :  4.00/00 30/03/95  16.09.59  by  Rainer Mankel
*-- Author :    Rainer Mankel   30/03/95

      subroutine tuhmimp(iih,imc,mimp,nhmimp)
*     **** locate arbitrary (first) mimp associated with hit ih,
*     **** return number of mimps (0,1, or 2 for >1)
*     **** mimp=nhmimp=0 for no existing mimp

      implicit none
      integer iih, imc, mimp, nhmimp, jaux, ialia
#include "arte/Arte.fi"

#include "auto/MIMP.fi"
#include "auto/HITB.fi"
#include "arte/Arte.ff"
#include "auto/MIMP.ff"
#include "auto/HITB.ff"


      imc = 0
      mimp = 0
      nhmimp = 0

***      print *,' ===== tuhmimp: locate mimps for hit iih=', iih

*     **** check if duplicate hit
      if (iih.gt.iq(jhitb+2)) then
       print *,' () tuhmimp: invalid iih=', iih,
     +         ' #hits=', iq(jhitb+2)
       stop 'tuhmimp'
      endif

*     **** loop over related MC particles
      do 10 ialia=1,10
       if (ialia.eq.1) then
        jaux = phitb_mimp(iih)
***        print *,' tuhmimp: ialia, jaux=', ialia, jaux
        if (jaux.eq.0) go to 11
        mimp = mhitb_mimp(jaux) ! not jmthi
        imc = omimp_mtra(mimp)
       else
        jaux = xhitb_mimp(jaux)
***        print *,' tuhmimp: ialia, jaux=', ialia, jaux
        if (jaux.eq.0) go to 11
       endif
       nhmimp = nhmimp + 1
***       print *,' tuhmimp: ialia, jaux, imc, mimp, nhmimp=',
***     +                    ialia, jaux, imc, mimp, nhmimp
       if (jaux.eq.0) go to 11
 10   continue
 11   continue

      end


