// 
//  Author:  Rainer Mankel                     Created:  30-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// ranger composite layer set

#ifndef RANGER_COMPLAYSET_HH
#define RANGER_COMPLAYSET_HH

#include <vector.h>

class rangerCompLay;

class rangerCompLaySet {

public:
  rangerCompLaySet(){};
  ~rangerCompLaySet(){};

  void append(rangerCompLay* cl) { CLs.push_back(cl); };
  rangerCompLay* findCl(int cmp,int gl);
  void dump(const int level=1);

private:
  vector<rangerCompLay*> CLs;
};
#endif
  
