// 
//  Author:  Rainer Mankel                     Created:  14-May-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgzdom_
// Fortran-interface to rangerDomain::zref().
// Getter function for the reference z value of a domain.

#include "rang/Domain.hh"

extern "C" {
  float rgzdom_(rangerDomain*& dm) {
    if (dm) {
      //cout << "rgzdom: z=" << dm->zref() << endl;
      return dm->zref();
    }
    else {
      cout << "rgzdom: invalid dm=" << dm << endl;
      return 0;
    }
  }
}



    



