*-- Author :    A. Spiridonov   26/11/99

#undef RTRA_BUILD

      subroutine tfunrfr()
*
*     Control routine for ranger++ fit of segments 
*     (clown on tfunrf for on-line reconstruction)
*     
*             

      implicit none
*
#include "rang/zfpar.fi"
#include "rang/zfmode.fi"

#include "arte/Arte.fi"
#include "auto/RSEG.fi"
#include "arte/RSEG_cmp.fi"
*
*     **** packing scheme for covariance
      integer matrix_pack(5,5)
      data matrix_pack
     +     / 1,  2,  4,  7, 11,
     +       2,  3,  5,  8, 12,
     +       4,  5,  6,  9, 13,
     +       7,  8,  9, 10, 14,
     +      11, 12, 13, 14, 15 /
      save matrix_pack
* 
      integer rgseg2t
      integer rs,rt,iirs,ind_rs,rend
      integer if_seg,segVec(2)
      integer rgfitsv
      integer mess_id_1

      logical rang_fit
      data rang_fit/.false./
      save rang_fit

#include "arte/Arte.ff"
#include "auto/RSEG.ff"

*--------------------------------------------------

      if((rlevel_fit.eq.1.or.rlevel_fit.eq.3)
     +.and.(rlevel_zfpar.ge.2)) then
        rang_fit = .true.
      else
        rang_fit = .false.
        go to 999
      end if
    
      if(jrseg.le.0)   go to 999        ! skip empty event
      if(NRSEG().le.0) go to 999 

      if(rlevel_zfpar.ge.2) then

        do rs=1,NRSEG()                                     ! loop on segments

          if ( (iand(irseg_cmp(rs),rsegc_magt).ne.0
     +    .or .iand(irseg_cmp(rs),rsegc_patt).ne.0)
     +    .and.(iand(irseg_cmp(rs),rsegc_bitsign).eq.0)) then ! patt.or.magn

            rend = 0
            do 110 iirs=1,20
              if(iirs.eq.1) then
                ind_rs = prseg_rend(rs)
              else 
                ind_rs = xrseg_rend(ind_rs)
              end if
              if(ind_rs.eq.0) go to 111
              rend = mrseg_rend(ind_rs)      
         
*              print '("tfunrf : rbeg,rend ",2i5)',rs,rend

  110       continue
  111       continue

            if(rend.gt.0) then         !   treat pair of segments
            if(iand(irseg_cmp(rend),rsegc_bitsign).eq.0) then 
              segVec(1) = rs          
              segVec(2) = rend
              if_seg = 1
              if(rang_fit) then
                if(rgfitsv(segVec,2,0).eq.0) then
                else 
*                  print '("tfunco : ----- failed fit segments ",2i5)'
*     +                   ,segVec(1),segVec(2)
                  call mepric(mess_id_1,1,
     +                 'tfunrfr : ----- failed fit segments ')
                  if_seg = 0
                end if
              end if
            end if                  ! end of check bitsign
            else                    ! treat only one segments

            if(iand(irseg_cmp(rs),rsegc_bitsign).eq.0) then ! test bitsign 

              if(rang_fit) call rgfit(rs,0)       ! full refit

            end if                  ! end test of bitsign
            end if                  ! end treat of segment

          end if                    ! endif of magnet segment

        end do                      ! end of loop on segments

      end if                        ! end of rlevel_zfpar = 4
 
 999  end





