 
// ********************************************************************
//
//  Routine:      rc99AidRICH
//
//  Description:  rich reconstruction based on tracks
//
//  Modification:
//  -- bug fix in global alignment constant subtraction 29/10/99 T.Oest
//  -- likelihood-search-syntax changed according to the new syntax of rire 1.12.99 D. Samtleben
//  -- RISE particle ID added                           10/02/00 T.Oest
//  -- RISE particle ID changed                         13/06/00 D.Dujmic
//
// ********************************************************************
 
 
#include <iostream.h>
#include <arte/arte.hh>
#include <stdlib.h>

void ringsearchRTRA();
int RICHrec(int level=10);
extern "C" {  void Riter_evnt_();  }


int rc99AidRICH(int module) {

//-------------------------------------------------------------------
//  RITER
//-------------------------------------------------------------------

   if (module == 1) Riter_evnt_(); 

//-------------------------------------------------------------------
//  RIRE
//-------------------------------------------------------------------

   if (module == 2) RICHrec();

//-------------------------------------------------------------------
//  RISE
//-------------------------------------------------------------------

  if (module == 3 || module==1 || module==2) ringsearchRTRA();
 

//-------------------------------------------------------------------
//   
//-------------------------------------------------------------------
  
  return 0;      
}
