*CMZ :  2.01/01 20/12/95  14.52.31  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   20/12/95

      SUBROUTINE ALFSTO

************************************************************************
*
* Description: Store Fritiof event into MTRA/MVER
*
* Called from: ALFRIT, ALPYTH
*
* External references:
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "jets/LUJETS.fi"

      INTEGER I

#include "arte/Arte.ff"

C working space for pointers from LUJETS to MTRA

      CALL MMBWRK (JTEMP, N, 2, 0)

      DO I = 1, N
C set parents of primary quarks to 0:
        IF (K(I,3) .EQ. 1 .AND. K(I,2) .LE. 3)  K(I,3) = 0
C particle code for nuclei (Fritiof: negative code for target remnants)
        IF (K(I,2) .LT. -10000 .AND. K(I,2) .GT. -10200)
     +    K(I,2) = -K(I,2)
      END DO

C fill Arte tables

      CALL ALMTRA

      END

************************************************************************
* End of ALFSTO
************************************************************************
