*CMZ :  2.01/01 21/11/95  13.06.25  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   16/03/95

      SUBROUTINE CHAPPF (C, F, N)

************************************************************************
*
* Description: append real number F at the end of C
*
* Called from: anywhere
*
* External references: CHDTOC
*
* Argument in/out description
*  C       in/out character string to be updated
*  F       in     real number to be appended
*  N       in     accuracy (N > 0); digits after . (N <=0)
*
************************************************************************

      IMPLICIT NONE

      INTEGER LENOCC, L, N
      REAL F
      CHARACTER*(*) C
      CHARACTER*30 C30

      CALL CHDTOC (DBLE(F), N, '*', C30)

      L = LENOCC(C)
      IF (LEN(C) .GT. L)  C(L+1:) = C30
      IF (L + LENOCC(C30) .GT. LEN(C))  C(LEN(C):LEN(C)) = '!'

      END

************************************************************************
* End of CHAPPF
************************************************************************
