#ifndef _GEDE_H_
#define _GEDE_H_
typedef struct {
   int cmp;
   int lay;
   int sec;
   int shp;
   float xmin;
   float xmax;
   float ymin;
   float ymax;
   float zmin;
   float zmax;
   float sxmn;
   float sxmx;
   float symn;
   float symx;
   float cos;
   float sin;
   float rot[9];
   float acc;
   float eff;
   float dod;
   float pit;
   float ms;
   float xfw[4];
   float zfw[4];
   int nwi[4];
   int nsl;
   int ogesl;
   int ogmat;
   int nwl;
   int fwl;
   float xmad;
   float ymad;
   float zmad;
   float y1w[4];
   float y2w[4];
   char gvol[4];
   char hwc[12];
   float dedx;
   int gcop;
   float noise;
   float ares;
   int mim1;
   int miml;
   int dig1;
   int digl;
   int hit1;
   int hitl;
   int ootmo;
} GEDE;
#define  JGEDE (gcbank_.iq+artelink_.jgede)
#define  NGEDE() N_U(JGEDE)
#define NCGEDE() N_C(JGEDE)
#define GEDE(i) (*((GEDE*)(JGEDE+2)+(i)-1))
#define GEDE_ogesl(i) GEDE(i).ogesl
#define GEDE_ogmat(i) GEDE(i).ogmat
#define GEDE_ootmo(i) GEDE(i).ootmo
#endif
