
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Filling of histograms
//
// changes:
// 27 Oct 1999 (AG) use defines from DQ.h
//  1 Nov 1999 (AG) get rid of dq_hid.h
//  3 Feb 2000 (DD) avoid looping over all HITB's
// 17 Feb 2000 (DD) FED occupancy 
//
// ******************************************************************

// standard includes
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"
#include "event.h"

// Arte includes
#include "arte/arte.hh"
#include "dq/DQ.h"
#include "dq/DQ_RICH.h"

// rich includes
#include "rich/rich.h"

//
// function code
//
int DQ_RICH_hit_evnt() {

  float NrRICHHits=RichRun::gede->hitl - RichRun::gede->hit1;
  rhp_hf1(DQ_ID(COMP_RICH,LVL_HIT,1),NrRICHHits,1);

  for( ArteTable<HITB>::iterator ihitb=RichRun::gede->hit1; 
       ihitb!=RichRun::gede->hitl; ++ihitb ){
    rhp_hfill(DQ_ID(COMP_RICH,LVL_HIT,2),(*ihitb)->q,(*ihitb)->r,1);

    int id=(*(*ihitb)->digb.begin())->id;
    if (!RICH_Detector->ChannelExist(id)) continue;
    int ci=RICH_Detector->ChannelIndex();
    if (!RICH_DAQ->ChannelExist(ci)) continue;
    int fedid=RICH_DAQ->fedid();
    rhp_hf1(DQ_ID(COMP_RICH,LVL_HIT,3),fedid,1);
    rhp_hf1(DQ_ID(COMP_RICH,LVL_HIT,4),ci,1);
  }

  return 0; // return error code (0 = okay)
}
