>NAME GAGEKUIP
>Menu /Alignment
>Guidance
Internal and global alignment commands.

>Menu /Alignment/Global
>Guidance
global alignment commands.

>Command SWITCH
>Guidance
switch global alignment on/off.
>Action KAGAGESWITCH
>Parameter
+
SWITCH 'switch on/off' C D='off'

>Command WRITE
>Guidance
select components for rhp output.
>Action KAGAGESELECT
>Parameter
+
CMP1 'component to be aligned' C D=' '
CMP2 'reference component'     C D=' '
DX   'cut in dx'               R D=1.
DY   'cut in dy'               R D=1.
DTX  'cut in dtx'              R D=0.01
DTY  'cut in dty'              R D=0.01
PMIN 'minimal momentum'        R D=10.
OPT  'option(PLOTS)'           C D='all'
BINS 'number of bins for plot' I D=100

>Command RBLENGTH
>Guidance
length of rhp ring buffer.
>Action KAGAGERHPBUFFER
>Parameter
+
LEN  'length of rhp ring buffer' I D=100

>Command READ
>Guidance
readin segment pairs.
>Action KAGAGEREAD
>Parameter
+

>Command PARAMETER
>Guidance
print parameter.
>Action KAGAGE
>Parameter
+

>Command HBOOK
>Guidance
write rhp to hbook file.
>Action KAGAGERHP2HBOOK
>Parameter
+
SWITCH 'switch on/off' C D='off'

>Command ACGA
>Guidance
Fill ACGA table.
>Action KAGAGEACGA
>Parameter
+
CMP  'cmp number' I D='0'
DX   'shift in dx    ' R D='0.0'
DY   'shift in dy    ' R D='0.0'
DZ   'shift in dz    ' R D='0.0'
DTX  'shift in dtx   ' R D='0.0'
DTY  'shift in dty   ' R D='0.0'
FZ   'scaling in z   ' R D='0.0'
Z    'reference point' R D='0.0'
ROT0 'rot(0,0)       ' R D='1.0'
ROT1 'rot(0,1)       ' R D='0.0'
ROT2 'rot(0,2)       ' R D='0.0'
ROT3 'rot(1,0)       ' R D='0.0'
ROT4 'rot(1,1)       ' R D='1.0'
ROT5 'rot(1,2)       ' R D='0.0'
ROT6 'rot(2,0)       ' R D='0.0'
ROT7 'rot(2,1)       ' R D='0.0'
ROT8 'rot(2,2)       ' R D='1.0'

>Command DBSTORE
>Guidance
store to data base.
>Action KAGAGESTORE
>Parameter
+
YEAR   'year   ' I D=0
MONTH  'month  ' I D=0
DAY    'day    ' I D=0
HOUR   'hour   ' I D=0
MINUTE 'minute ' I D=0
SEC    'second ' I D=0
DBFILE 'db file' C D='dbtest.db'

