C---------------------------------------------------------
*-- Author : Valeri Saveliev,27/03/94  12.17.14
C---------------------------------------------------------
        REAL FUNCTION T R S A B S (E0,STEP,IM)
        IMPLICIT NONE
C...
        INTEGER IM
        REAL E0, E, STEP, RNDM(1), AM, AMUF
        REAL FOIL,GAS,GINWM,DNM,WTR
        COMMON /ITRD/FOIL,GAS,GINWM(20),DNM(81,20),WTR(81)

        E      = E0*1.E6
        IF(IM.EQ.1) AM = (AMUF(E,1)*FOIL+AMUF(E,2)*GAS)/(GAS+FOIL)
        IF(IM.EQ.2) AM = AMUF(E,3)
        IF(IM.EQ.3) AM = AMUF(E,4)
        IF(IM.EQ.5) AM = AMUF(E,2)
C...
        CALL GRNDM(RNDM,1)
        TRSABS   = -1./AM*ALOG(AMAX1(1.E-20,RNDM(1)))
        RETURN
        E N D

C---------------------------------------------------------
*-- Author : Valeri Saveliev,27/03/94  12.17.14
C---------------------------------------------------------
        REAL FUNCTION A M U F (X,IM)
        IMPLICIT NONE
C
        INTEGER IM
        REAL X,TABLOG
        REAL TDATA,WT,AMU         
        COMMON /TRDATA/TDATA(10,4),WT(30),AMU(30,4)
C...
        IF(IM.GE.1.AND.IM.LE.4) GO TO 1
        CALL MEERRO( 'ERR AMUF')
C...
1       AMUF = TABLOG(X,30,WT,AMU(1,IM))*TDATA(1,IM)
        RETURN
        E N D
*CMZ :          27/03/94  12.17.14  by  Valeri Saveliev
*-- Author :
C-----------------------------------------------------------
        REAL FUNCTION T A B L O G (X,N,XM,YM)
C
C... *** EXTRAC FROM TABLE BY USE LOG-LINEAR EXTRAPOLATION ***
C
        INTEGER N, K, K1, K2
        REAL X, X0, X1, X2, XM(10), Y, Y1, Y2, YM(10)
C...
        TABLOG = 0.
        IF(N.LE.0) RETURN
        K1     = 1
        K2     = N
1       K      = (K1+K2)/2
        IF(X.NE.XM(K)) GO TO 2
        TABLOG = YM(K)
        RETURN
2       IF(X.LT.XM(K)) K2 = K
        IF(X.GT.XM(K)) K1 = K
        IF(K2-K1.GT.1) GO TO 1
        Y1     = ALOG(YM(K1))
        Y2     = ALOG(YM(K2))
        X1     = ALOG(XM(K1))
        X2     = ALOG(XM(K2))
C...
        X0     = ALOG(X)
        Y      = Y1+(Y2-Y1)/(X2-X1)*(X0-X1)
        TABLOG = EXP(Y)
        RETURN
        E N D
