
>NAME ITRKUIP

>Menu /ITR
>Guidance
ITR-specific commands.

>Menu /ITR
>COMMAND ITRSTEER
>ACTION ITRSTEER
>PARAMETER
+
DBMAJOR 'major number' I D=-999
DBMINOR 'minor number' I D=-999
>Guidance
Major, minor number for ITR STEERING DB


>Command ITRCLUSTER
>ACTION ITRCLUSTER
>PARAMETER
+
CLUSTER 'clusterfinder' I D=1
THRESHA 'threshold 1' R D=3.0
THRESHB 'threshold 2' R D=5.0
>Guidance
Choice of ITR Clusteralgorithm and thresholds

>Command ITRDYN
>ACTION ITRDYN
>PARAMETER
+
DYNTHRES 'dynamic threshold' I D=0
>Guidance
ITR Clusteralgorithm (1) threshold per
chamber as THRESHB * sigma_noise
  
>Command ITRNEVTMON
>ACTION ITRNEVTMON
>PARAMETER
+
NEVT 'number of events' I D=1
>Guidance
Number of events to calculate pedestal, noise

>Command ITRNOISE
>ACTION ITRNOISE
>PARAMETER
+
HOTCUT 'hotcut' R D=9.
MAXSIG 'svar maxSignal' R D=25.
>Guidance
Parameters for ITR Noise following


>Command ITROFFSET
>ACTION ITROFFSET
>PARAMETER
+
SL1 'offset sl1' I D=5
SL2 'offset sl2' I D=5
SL3 'offset sl3' I D=5
SL4 'offset sl4' I D=5
SL5 'offset sl5' I D=5
SL6 'offset sl6' I D=5
SL7 'offset sl7' I D=5
SL8 'offset sl8' I D=5
SL9 'offset sl9' I D=5
SL10 'offset sl10' I D=5
>Guidance
Parameters for ITR datavalid offset  

>Command ITRALIGN
>ACTION ITRALIGN
>PARAMETER
+
ALIGN 'switching alignment on/off' I D=0
>Guidance
Default is 0, alignment constants will 
not be applied.

>Command ITRPATCH
>ACTION ITRPATCH
>PARAMETER
+
PATCH 'switching ITR geometry patch on/off' I D=0
>Guidance
Default is 0, geometry bug will not be
corrected (correction is needed for all geometries 
up to 0.0811 (99.0811)).   
