*CMZ :          05/09/96  20.30.59  by  Fedor Ratnikov
*CMZ :  1.00/01 01/03/95  10.20.08  by  HD Schulz
*CMZ :  1.00/00 05/01/95  15.25.50  by  Dominik Ressing
*-- Author :    Dominik Ressing   10/12/94
************************************************************************
*
* L1PRTRK
* written by Dominik Ressing, 10/12/94 14.40.10
*
* This routines action:
* Print all track coordinates  relevant for a ``point''
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* iTrk        in          track nummer
* z           in          z-coordinate to print track points at
*
************************************************************************
c
      SUBROUTINE L1PRTRK(iTrk,z)
c
      IMPLICIT NONE
#include "arte/Arte.fi"
#include "l1si/l1param.fi"
#include "l1si/l1geodf.fi"
#include "l1si/l1detdf.fi"
#include "l1si/l1clink.fi"
#include "l1si/rcfdef.fi"
#include "l1si/l1banks.fi"
#include "l1si/ydef.fi"
c
      INTEGER iTrk,Ifla,Jpo,ID
      REAL    z,P,x,y,Pa
      CHARACTER*80  begin
      CHARACTER*5   momen
      CHARACTER*11  middl
      CHARACTER*5   coorx,coory
      CHARACTER*8   end
      CHARACTER*300 form
      CHARACTER*4 cname
c
#include "arte/Arte.ff"
#include "l1si/rcfunc.ff"
#include "l1si/ydef.ff"
c
      P = SQRT(FMTRA_PX(iTrk)**2+FMTRA_PY(iTrk)**2+FMTRA_PZ(iTrk)**2)
      CALL l1getrp(iTrk,z,x,y,Pa)
      CALL L1GETRX(iTrk,Jpo)         ! get pointer to track extra tables row
      IF ( Jpo.gt.0 ) THEN
         Ifla = IQ(Jpo+L1_TRK_FLAG)
      ELSE
         Ifla = -1
         GOTO 999   ! skip undefined
      END IF
c
      begin='('' L1PRTRK==>'',I4,'' ID/Fl '',I2,''('',A4,'')'','//
     &     '''/'',I2,'' P,Px,Py,Pa'','
      IF ( P.lt.10. ) THEN
         momen='4f5.2'
      ELSE IF (P.lt.100.) THEN
         momen='4f5.1'
      ELSE
         momen='4f5.0'
      END IF
      middl=','' x,y,z:'','
      IF ( abs(x).lt.10. ) THEN
         coorx='f7.3,'
      ELSE IF (  abs(x).lt.100. ) THEN
         coorx='f7.2,'
      ELSE
         coorx='f7.1,'
      END IF
      IF (  abs(y).lt.10. ) THEN
         coory='f7.3,'
      ELSE IF (  abs(y).lt.100. ) THEN
         coory='f7.2,'
      ELSE
         coory='f7.1,'
      END IF
      end  ='1x,f7.2)'
      form =begin//momen//middl//coorx//coory//end
      call l1cpart(OMTRA_TOPP(iTrk),ID,cname)
      WRITE(L1LUNprn,form) iTrk,ID,cname,Ifla,
     &     P,FMTRA_PX(iTrk),FMTRA_PY(iTrk),
     &     Pa,x,y,z
 999  CONTINUE
c
      RETURN
c
      END









