*-- Author :    Hartwig Albrecht   05/04/95

      SUBROUTINE KALCOL

************************************************************************
*
* Description: List a column of a table
*
* Called from: KUIP
*
* External references: LIZEBR
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEMO.fi"

      INTEGER IT, ID, L
      CHARACTER CTPL*3

#include "arte/Arte.ff"
#include "auto/MEMO.ff"


      CALL KAGTAB (IT)
      IF (IT .EQ. 0)  GO TO 90

      IT = JLINK(IT)
      IF (IT .EQ. 0)  THEN
        CALL MEWARC (93456123, 'LCOL: table is not booked')
        GO TO 90
      END IF

      IF (IQ(IT+2) .EQ. 0)  THEN
        CALL MEWARC (134765, 'LCOL: table is empty')
        GO TO 90
      END IF

      ID = 0
      CALL KUGETI (ID)

      CTPL = ' '
      CALL KUGETC (CTPL, L)

      DO L = 1, IQ(IT+2)
        CALL LIZEBR (IT+(L-1)*IQ(IT+1)+3,
     +    IT+L*IQ(IT+1)+2, ID, CTPL)
      END DO

 90   END

************************************************************************
* End of KALCOL
************************************************************************
