*-- Author :    Hartwig Albrecht   05/04/95

      SUBROUTINE KALROW

************************************************************************
*
* Description: List array Q/IQ
*
* Called from: KUIP
*
* External references: LIZEBR
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEMO.fi"

      INTEGER IT, IR1, IR2, IC, L
      CHARACTER CTPL*3

#include "arte/Arte.ff"
#include "auto/MEMO.ff"

      CALL KAGTAB (IT)
      IF (IT .EQ. 0)  GO TO 90

      IR1 = 0
      CALL KUGETI (IR1)
      IC = 1
      CALL KUGETI (IC)

      CALL KUGETC (CTPL, L)

      IF (IR1 .EQ. 0)  THEN
        IR1 = 1
        IR2 = IQ(JLINK(IT)+2)
      ELSE
        IR2 = IR1 + MAX (IC - 1, 0)
      END IF

      IT = JLINK(IT)
      IF (IR1 .GT. IQ(IT+2) .OR. IR2 .GT. IQ(IT+2))  THEN
        C78 = 'LROW: only'
        CALL CH78BI (IQ(IT+2))
        CALL CH78BC ('rows are booked')
        CALL ME78WC (1453434)
        IR2 = IQ(IT+2)
        IF (IR1 .GT. IQ(IT+2))  GO TO 90
      END IF

      DO L = IR1, IR2
        CALL LIZEBR (IT+(L-1)*IQ(IT+1)+3,
     +    IT+L*IQ(IT+1)+2, 0, CTPL)
      END DO

 90   END

************************************************************************
* End of KALROW
************************************************************************
