// 
//  Author:  Rainer Mankel                     Created:  01-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerSNM : sector neighbourhood mask

#ifndef RANGER_SNM_HH
#define RANGER_SNM_HH

#include <vector.h>
#include <utility>

class rangerSNM {

public:
  rangerSNM(){};
  rangerSNM(const int cmp1,const int sec1,
	    const int cmp2=0,const int sec2=0,
	    const int cmp3=0,const int sec3=0,
	    const int cmp4=0,const int sec4=0,
	    const int cmp5=0,const int sec5=0,
	    const int cmp6=0,const int sec6=0,
	    const int cmp7=0,const int sec7=0,
	    const int cmp8=0,const int sec8=0,
	    const int cmp9=0,const int sec9=0,
	    const int cmp10=0,const int sec10=0,
	    const int cmp11=0,const int sec11=0,
	    const int cmp12=0,const int sec12=0);
  ~rangerSNM(){};

  int cmp() { return own.first; };
  int sec() { return own.second; };
  const vector<pair<int,int> >& neigh() const { return neighbs; };
  void dump(const int level=1);
  void test(const int level=1);

private:
  pair<int,int> own;
  vector<pair<int,int> > neighbs;
};

#endif
