// 
//  Author:  Rainer Mankel                     Created:  10-Oct-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
//

// Perform ideal pattern recognition
// Callable from Fortran
#ifndef rgideal_HH
#define rgideal_HH

extern "C" {
  void rgideal_(const float& pMin, // minimal momentum to be considered
		const int& hitMin,  // minimal number of hits
		const float& zMin, // lower z bound
		const float& zMax, // upper z bound
		const int& elecCorr // electron bremsstrahlung corr flag
		);
}

#endif
