*-- Author :    Rainer Mankel   30/01/97
*-- changed:   A.Spiridonov    21/05/98    !  call tfstam1 for ideal ranger
*-- changed:   A.Spiridonov    02/11/98    !  rlevel_zfpar = 4 
*-- changed:   A.Spiridonov    26/11/99    !  version for on-line reconstr.

      subroutine tfevntr()

*     **** mother routine for pattern recognition in main tracker system
*                ( clone of tfevnt )

      implicit none
#include "rang/zfmode.fi"
#include "rang/zfpar.fi"
#include "arte/Arte.fi"

      integer istat
      integer message_id_1
      data message_id_1 /0/
#include "arte/Arte.ff"

      if (jgede.le.0.or.jgesl.le.0.or.jhitb.le.0) then
         call mepric(message_id_1,1,
     +        'tfevnt: one of tables GEDE/GESL/HITB is not booked')
         go to 999
      endif

      call rginit()
*      if (.not.l_rinit) call tfrinit()

      if (rlevel_zfpar.lt.0) go to 999

      if (rlevel_zfpar.eq.0) then

         call rgideal(1.,29,190.,1330.,0) ! full ideal analysis

      elseif (rlevel_zfpar.le.2) then        ! rlevel_zfpar < 3          
         call tfmatripn(istat)  ! ranger/triplet
         call tfunco()          ! weedout

      elseif (rlevel_zfpar.eq.3) then        !  rlevel_zfpar = 3          
         call tfmatripn(istat)  ! ranger/triplet
         call tfunco()          ! weedout

      elseif (rlevel_zfpar.eq.4) then         ! rlevel_zfpar = 4         
         rlevel_zfpar = 3
         call tfmatripn(istat)  ! ranger/triplet
         call tfunco()          ! weedout
         call tftcren(istat)    ! track reconstruction in TC chambers
         rlevel_zfpar = 4 

      elseif (rlevel_zfpar.eq.5) then         ! rlevel_zfpar = 5
         rlevel_zfpar = 2
         call tfmatripn(istat)  ! ranger/triplet
         call tfunco()          ! weedout
         call tftcren(istat)    ! track reconstruction in TC chambers
         call tfunrfr()         ! segments fit
         rlevel_zfpar = 5
      endif

      if(rlevel_zfpar.ge.2.and.rlevel_zfpar.le.4) then

         call tfunrfr()         ! segments fit

      end if

 999  return
      end
