#ifndef _L3_RHP_HH_
#define _L3_RHP_HH_
// *****************************************************************************
//
// source:    L3_RHP.hh
//
// type:      include file
//
// created:   06 Dec 1999
//
// authors:   Stefan Scharein, Ullrich Schwanke
//            HERA-B Collaboration
//            DESY Zeuthen
//            Platanenallee 6
//            D-15738 Zeuthen
//            Germany
//            email: scharein@ifh.de, schwanke@ifh.de
//
// changes:
//
// *****************************************************************************

#include "online/component.h"

#ifdef L3_ARTE_FRAME
#include "dq/DQ.h"
inline int MYID(int ID){
  return DQ_ID(COMP_TLT,LVL_REC,ID);
}
#else
inline int MYID(int id)
{
  return (COMP_N_TLT<<24) | (id);
}
#endif

#endif
